python-antlr_2.7.7+dfsg-9.2build2_all.deb


Advertisement

Description

python-antlr - language tool for constructing recognizers, compilers etc - Python 2.7

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-antlr_2.7.7+dfsg-9.2build2_all.deb
Package name python-antlr
Package version 2.7.7+dfsg
Package release 9.2build2
Package architecture all
Package type deb
Category universe/python
Homepage http://www.antlr2.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 18.97 KB
Installed size 110.00 KB
This package contains the Python 2.7 version of antlr. ANTLR stands for
ANother Tool for Language Recognition, (formerly PCCTS).
See antlr package for a complete description.

Alternatives

Package Version Architecture Repository
python-antlr_2.7.7+dfsg-9.2build2_all.deb 2.7.7+dfsg all Ubuntu Universe
python-antlr - - -

Requires

Name Value
python-six -
python:any >= 2.7~
python:any << 2.8

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-antlr_2.7.7+dfsg-9.2build2_all.deb
Source Package antlr

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-antlr deb package:
    # sudo apt-get install python-antlr

Files

Path
/usr/lib/python2.7/dist-packages/antlr-2.7.5RC1.egg-info
/usr/lib/python2.7/dist-packages/antlr/__init__.py
/usr/lib/python2.7/dist-packages/antlr/antlr.py
/usr/share/doc/python-antlr/changelog.Debian.gz
/usr/share/doc/python-antlr/copyright

Changelog

2018-10-30 - Matthias Klose <doko@ubuntu.com>
antlr (2.7.7+dfsg-9.2build2) disco; urgency=medium
* No-change rebuild to build for python3.7 as the default.
2018-06-28 - Matthias Klose <doko@ubuntu.com>
antlr (2.7.7+dfsg-9.2build1) cosmic; urgency=medium
* No-change rebuild to build for python3.7.
2017-11-09 - Matthias Klose <doko@debian.org>
antlr (2.7.7+dfsg-9.2) unstable; urgency=medium
* Non-maintainer upload.
* Fix build of binary-arch only builds.
2017-11-08 - Matthias Klose <doko@debian.org>
antlr (2.7.7+dfsg-9.1) unstable; urgency=medium
* Non-maintainer upload.
* Move maven-repo-helper to Build-Depends. Closes: #879980.
2017-10-25 - Thomas Goirand <zigo@debian.org>
antlr (2.7.7+dfsg-9) unstable; urgency=medium
* Team upload.
* Add Python 3 support (Closes: #614505):
- Add a patch, half made with sixer, half by hand, to add support for Py3.
- Add runtime depends on python-six in python-antlr.
- Add a python3 package in debian/control.
- Add build-depends to python3-all-dev in debian/control (do we really need
the -dev part here?).
- Insert correct code to install the Py2 & Py3 modules using setup.py, so
we are packaging the antlr.py AND its corresponding generated egg-info.
* Ran wrap-and-sort -bast to minimize git diff and have a cleaner
debian/control. This was already partially done in 2.7.7+dfsg-8, probably
by hand.
* Removed ante-dilluvian Replaces:+Breaks:, now useless after a few releases
of Debian.
2017-10-24 - Emmanuel Bourg <ebourg@apache.org>
antlr (2.7.7+dfsg-8) unstable; urgency=medium
* Team upload.
* Fixed the build failure with Java 9 (Closes: #873971)
* Build with the DH sequencer
* Removed the remaining references to cantlr and gcj
* Removed the no longer used antlr.snk file (C# signing key)
* Moved the package to Git
* Standards-Version updated to 4.1.1
* Switch to debhelper level 10
* Removed the build dependency on autotools-dev
2016-01-27 - Emmanuel Bourg <ebourg@apache.org>
antlr (2.7.7+dfsg-7) unstable; urgency=medium
* Team upload.
* Removed the C# package (Closes: #812637)
* Rebuild with GCC 5 (Closes: #793215)
2014-10-10 - Emmanuel Bourg <ebourg@apache.org>
antlr (2.7.7+dfsg-6) unstable; urgency=medium
* Team upload.
* debian/copyright: Added the missing licences for PyANTLR (Closes: #750643)
* debian/control:
- Bumped Standards-Version to 3.9.6 (no changes)
- Use canonical URLs for the Vcs-* fields
* Switch to debhelper level 9
2013-04-25 - Emmanuel Bourg <ebourg@apache.org>
antlr (2.7.7+dfsg-5) unstable; urgency=low
* Team upload.
* Updated the watch file (contributed by Bart Martens)
* Bumped Standards-Version to 3.9.4 (no changes)
* debian/copyright: Updated the Format URL
* debian/copyright: Fixed a typo reported by Lintian
* debian/copyright: Removed the GPL header
2012-01-26 - Niels Thykier <niels@thykier.net>
antlr (2.7.7+dfsg-4) unstable; urgency=low
* Rebuild for mono-transition.  (Closes: #656760)

See Also

Package Description
python-anyjson_0.3.3-1build1_all.deb Common interface for the best available JSON implementation
python-aodhclient_1.1.1-0ubuntu1_all.deb OpenStack Alarming as a Service - Python 2.7 client
python-apache-openid_2.0.1-0ubuntu4_all.deb OpenID consumer module for Apache
python-apipkg_1.5-2_all.deb namespace control and lazy-import mechanism for Python
python-apns-client_0.1.8-2_all.deb Python client for the Apple Push Notification service (APNS)
python-appdirs_1.4.3-1_all.deb determining appropriate platform-specific directories (Python 2)
python-appindicator_12.10.1+18.04.20180322.1-0ubuntu2_amd64.deb Python bindings for libappindicator
python-application_1.4.1-1_all.deb Basic building blocks for Python applications
python-apport_2.20.10-0ubuntu27_all.deb Python library for Apport crash report handling
python-apptools-doc_4.4.0-2_all.deb ETS Application Tools (doc)
python-apptools_4.4.0-2_all.deb ETS Application Tools (Python 2)
python-apscheduler_3.5.3-1_all.deb In-process task scheduler with Cron-like capabilities
python-apsw-doc_3.24.0-r1-1_all.deb documentation for python-apsw
python-apsw_3.24.0-r1-1_amd64.deb another Python SQLite 3 wrapper
python-apt-dev_1.8.4_all.deb Python interface to libapt-pkg (development files)
Advertisement
Advertisement